Loading collection data...
Collections are a way for you to organize kata so that you can create your own training routines. Every collection you create is public and automatically sharable with other warriors. After you have added a few kata to a collection you and others can train on the kata contained within the collection.
Get started now by creating a new collection.
haha and in NASM they banned lea
this is legit dope
Wow, this is really clever! I read the explanation and I still find it hard to understand.
EDIT: ok, got it! Really nice :)
Well, this is kinda a duh moment for me... I did an iteration version which is wildly unnecessary, if you see this one. If anyone is still wondering how it works, it uses integer division to round down to the nearest whole number before multiplying by the divisor to get the complement.
You can check here for recommend requirements for 4kyu and 3kyu kata: https://github.com/codewars/codewars.com/wiki/Kata-Ranking#blue-competent
I am almost 4kyu now, but like how do I become so good so I find 4kyu and 3kyu quiet easy, is there some algorithms or problem solving patterns I should be learning (I know so far:frequency counter patter,sliding the widdow pattern,multiple search pointers pattern)
You just need to get enough hornor point for this. Also, solving high level kata could help you reach higher kyu on lower hornor points.
Hey stanley how did you reach 2kyu ? what should I do to reach 2kyu ?
I tried to solve this kata only for viewing this solution... gg bro =]]
this doesnt seem to work on a calculator
Which part of "There's binary search solution" did you just miss? :P
Sorry, but which part of "adhoc method" did you just miss? :P
If you solve it with algorithm this is a binary search problem with O(log n) solution. Considering sum of cubes must not exceed unsigned 64 bit integer, answer is found in 17 steps at worst case.
This answer is O(n) solution. Worst case scenario is at roughly 92682 steps. Are you calling it clever?
You can either solve this problem with math formula or using adhoc method.
For math formula, you can see solution of g964, which is the most clever.
My solution is for adhoc method.
And since raw loop is hard to follow, so code without raw loop is better practices, hence the votes here.
Why do people keep upvoting inefficient implementations as best practice and clever?
Loading more items...